<?php
  //trieda validacia dat
  class validation 
  { 
    public    $data;
    public    $valid;
    public    $errCode;
    public    $ret; 
	public    $vars;      
    
    //konstruktor
    function validation($data)
    {
        $this->data = $data;
        $this->valid = false;
        $this->errCode = 0;
        $this->ret = "";
    }
    
    //validacia emailu (napr. admin@info.com) 
    function validMail()
    {
        $atom = '[-a-z0-9!#$%&\'*+/=?^_`{|}~]'; 
        $domain = '[a-z0-9]([-a-z0-9]{0,61}[a-z0-9])'; 
        if(ereg("^$atom+(\\.$atom+)*@($domain?\\.)+$domain\$", $this->data))
        {  
          $this->valid = true;
          return $this->errCode = 1;
        }  
        else
        {
          $this->valid = false;
          return $this->errCode = 2;
        }  
    }
    
    //validacia roku (napr. 2010) 
    function validYear()
    {
        if(ereg("^([0-9])+\$", $this->data))  
        {
          $this->valid = true;
          return  $this->errCode = 3;     
        }
        else
        {
          $this->valid = false;
          return $this->errCode = 4; 
        } 
    }
    
    //validacia datumu (napr. 24.12.2010) 
    function validDate()
    {
        if(ereg("^([0-3]{1,1}[0-9]{1,1})([.]{1,1})([0-1]{1,1}[0-9]{1,1})([.]{1,1})([0-9]{4,4})$", $this->data))  
        {
          $this->valid = true;
          return  $this->errCode = 3;     
        }
        else
        {
          $this->valid = false;
          return $this->errCode = 4; 
        } 
    }
    
    //validacia casu (napr. 12:30:50 alebo 12:30) 
    function validTime()
    {
        if(ereg("^(([0-2]{1,1}[0-9]{1,1})([:]{1,1})([0-6]{1,1}[0-9]{1,1})([:]{1,1})([0-6]{1,1}[0-9]{1,1}))|(([0-2]{1,1}[0-9]{1,1})([:]{1,1})([0-6]{1,1}[0-9]{1,1}))$", $this->data))  
        {
          $this->valid = true;
          return  $this->errCode = 3;     
        }
        else
        {
          $this->valid = false;
          return $this->errCode = 4; 
        } 
    }
    
    //validacia nazvu ($length max. povolena dlzka)
    function validTitle($length)
    {
        if(strlen($this->data) >= $length)
        {
          $this->valid = true;
          return $this->errCode = 5;  
        }
        else
        {
          $this->valid = false;
          return $this->errCode = 6;  
        }   
    }
    
    //overenie url a uprava na pozadovany tvar
    function validURL()
    {
      if(ereg("^(www){1,1}(.){1,1}.*(.){1,1}.*$",$this->data,$reg))
      {
        $this->ret ="http://".$url;
        $this->valid= true;
      }
      elseif(ereg("^((http:\/\/www)|(http:\/\/)){1,1}(.){1,1}.*(.){1,1}.*$",$this->data,$reg))
      {
        $this->ret = $url;
        $this->valid = true;
      }
      else
        $this->valid = false;        
    }
    
    //validacia telefonneho cisla
    function validPhone()
    {
      if( (! preg_match('/^(([+]?\s?[(]?\d{3,3}?[)]?\s?\d{3,3})|(\d{3,3}\s?[\/])|(\d{4,4}))\s?(\d{3,3})\s?((\d{2,2}\s?\d{2,2})|\d{3,4})$/', $this->data)) ) 
      {
        $this->valid = false;
      }  
      else
      {
        $this->valid = true;
      }
    }
    
     //validacia velkosti suboru
    function validFileSize($maxFileSize)
    {
      if((filesize(($this->data))) > $maxFileSize) 
      {
        $this->valid = false;
      }  
      else
      {
        $this->valid = true;
      }
    }
    
    //validacia koncovky suboru
    function validExtension($extensions)
    {
      $ext=strtolower(pathinfo($this->data, PATHINFO_EXTENSION));    //nacitam koncovku suboru
      $sw=0;
      foreach($extensions as $value)    //porovnam ju so vsetkymi povolenymi formatmi
      {
          if($ext == $value)
          {
             $sw=1;                 //ak sa najde v zozname povolenych
          }
      } 
          if($sw==0)               //nastavim podla toho priznak
          {
            $this->valid = false;
          }
          else
          {
            $this->valid = true;
          }  

    }
    
    //validacia udajov pri prihlaseni ($length max. povolena dlzka)
    function validLoginData($db,$mobile)
    {
		$login = $this->data[0];  
		if($mobile==true)
		   $hash_pass = $this->data[1];
		else   
		   $hash_pass = md5($this->data[1]);
		
        $sql = "SELECT * FROM user WHERE pass='$hash_pass' AND login='$login'";	
        if(!$db->db_query($sql))
        {
          $this->valid = false;
          $this->errCode = 7;    //ak sa nepodari pripojit k databazi
        }
        else
        {
          $arr = $db->loadResult();
          if(count($arr) == 0)
          {
            $this->valid = false;
            $this->errCode = 8;    //ak sa uzivatel so zadanymi udajmi v db nenachadza
          }
          else
          {
            $id = $arr[0]->id;
			$this->vars = $id; //zoberiem si id prihlaseneho uzivatela

				$db2 = $db;
				$sql = "SELECT * FROM user_rights WHERE id_user ='$id'";
				if(!$db2->db_query($sql))
				{
				  $this->valid = false;  //ak sa nepodari pripojit k databazi
				  $this->errCode = 7;  
				}
				else
				{
				  $arr2 = $db2->loadResult();
				  if(count($arr2) == 0)
				  {
					$this->valid = true;  //ak nie je uzivatelske konto aktivovane
					$this->errCode = 10;  
				  }
				  else
				  {
					$sql = "SELECT * FROM user_group WHERE id='".$arr2[0]->id_group."'";
					$db3 = $db;
					if(!$db3->db_query($sql))
					{
						$this->valid = false;  //ak sa nepodari pripojit k databazi
						$this->errCode = 7; 
					}
					else
					{    
						$arr3 = $db3->loadResult();
						if(count($arr3) == 0)
						{
						  $this->valid = true; //ak nie je vytvorena uzivatelska skupina
						  $this->errCode = 11;  
						}
						else
						{   
						
						  $this->valid = true;
						  $this->errCode = 9;
						  $_SESSION['user']['id_user'] = $arr[0]->id;
						  $_SESSION['user']['login'] = $arr[0]->login;
						  $_SESSION['user']['email'] = $arr[0]->email;
						  $_SESSION['user']['status'] = $arr[0]->status;
						  $_SESSION['user']['id_group'] = $arr2[0]->id_group;
						  $_SESSION['user']['group'] = $arr3[0]->group_name;
						  $_SESSION['user']['actualStatus'] = 1;
						}
					}
				  }
				} 
			  }          
			}
		  }

  
    
    //overenie bezpecnostneho kodu na formularoch(registracia, kontakt)
    function validCode()
    {
      if(($this->data[0]) == ($this->data[1]))
      {
        $this->valid = true;
        $this->errCode = 12;
      }
      else
      {
        $this->valid = false;
        $this->errCode = 13;
      }
    }
    
    //overenie hesiel pri registracii
    function validPass()
    {
      if($this->data[0] == $this->data[1])
      {
        $this->valid = true;
        $this->errCode = 14;
      }
      else
      {
        $this->valid = false;
        $this->errCode = 15;
      }
    }
    
    function validLogin($db)
    {
        $sql = "SELECT * FROM user WHERE login='".$this->data."'";
        if(!$db->db_query($sql))
        {
          $this->valid = false;
          $this->errCode = 7;    //ak sa nepodari pripojit k databazi
        }
        else
        {
          $arr = $db->loadResult();
          if(count($arr) == 0)
          {
            $this->valid = true;
            $this->errCode = 8;    //ak sa uzivatel so zadanymi udajmi v db nenachadza
          }
          else
          {
            $this->valid = false;
            $this->errCode = 16;    //ak sa uzivatel so zadanymi udajmi uz v db nachadza
          }
        }
    }
    
}
?>
